<template>
  <component :is="earComponent" v-if="earComponent" :color="props.color" />
</template>

<script lang="ts" setup>
import { computed } from 'vue'

import Beanie from './Beanie.vue'
import Turban from './Turban.vue'
import Top from './Top.vue'
import { HatType } from '@/api'

const props = defineProps<{
  color: string
  type: HatType
}>()

const earComponent = computed<typeof Beanie | null>(() => {
  switch (props.type) {
    case 'beanie':
      return Beanie
    case 'top':
      return Top
    case 'turban':
      return Turban
    case 'none':
    default:
      return null
  }
})
</script>
